Bug 447286 - gnome-system-log copies wrong entries when filtering on
Summary: gnome-system-log copies wrong entries when filtering on
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-19 10:32 UTC by David Hislop
Modified: 2009-07-14 16:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:19:24 UTC


Attachments (Terms of Use)

Description David Hislop 2008-05-19 10:32:51 UTC
Description of 
When filtering is on, gnome-system-log seems to copy the Nth to Mth entries in
the log instead of the Nth to Mth entries on the screen.

Version-Release number of selected component (if applicable):
2.20.0.1

How reproducible:
Every time

Steps to Reproduce:
1.Start the Log Viewer
2.Filter on some text like NetworkManager that ISN'T in the first few entries in
the log.
3.Select the first filtered entry and copy it with Ctrl+C
4.Paste into another app, e.g. gedit
  
Actual results:
The line pasted into gedit is the first line in the log.

Expected results:
Would have expected the line copied to have been pasted in instead

Additional info:
Similar thing happens with multiple line selects.

Comment 1 Bug Zapper 2009-06-10 01:00:02 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 16:19:24 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.